OHHTTPStubs v6.0.0 Release Notes

Release Date: 2017-04-04 // about 4 years ago
    • 0️⃣ Made Swift 3 the default. master is now compatible with 3.0 and 3.1.
      @Liquidsoul @cohilla #240
    • The pod 'OHHTTPStubs/Swift' subspec now includes the URLSession and JSON subspecs.
      @AliSoftware
    • ➕ Added some matchers to the Swift APIs: hasBody(…), pathEndsWith(…) and pathMatches(…).
      @AliSoftware

    Notes:

    • Bumping this version to 6.0.0 because it's now using the Swift 3 APIs, but in practice it's entirely retro-compatible with previous 5.2.3-swift3 branch
    • This version is still compatible with Swift 2.3 when integrating with CocoaPods, as CocoaPods uses the same SWIFT_VERSION as your app project does so it adapts automatically and it's transparent for users.
    • If you're using Carthage though, we stopped providing Swift-2.3-specific branches ourselves (too much maintainance work), but if you still need Swift 2.3 compatibility, you can follow the tips in the installation instructions of the README.md.